%global momorel 3

Name:           perl-Compress-Raw-Bzip2
Version:        2.020
Release:        %{momorel}m%{?dist}
Summary:        Low-Level Interface to bzip2 compression library
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Compress-Raw-Bzip2/
Source0:	http://www.cpan.org/modules/by-module/Compress/Compress-Raw-Bzip2-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Compress::Raw::Bzip2 provides an interface to the in-memory
compression/uncompression functions from the bzip2 compression library.

%prep
%setup -q -n Compress-Raw-Bzip2-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/Compress/Raw/Bzip2/*
%{perl_vendorarch}/Compress/Raw/*
%{_mandir}/man3/*

%changelog
* Thu Aug 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.020-1m)
- [SECURITY] CVE-2009-1884
- update to 2.020

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.008-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.008-2m)
- rebuild against gcc43

* Sun Nov 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.008-1m)
- update to 2.008

* Sun Sep  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.006-1m)
- update to 2.006

* Tue Jul 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.005-1m)
- Specfile autogenerated by cpanspec 1.70 for Momonga Linux.
